default:
  image: maven:3.6.3-openjdk-15

build-job:
  stage: build
  script:
    - echo "Compile"
    - mvn -Dspring.profiles.active=h2db package

test-job-all-Repository-Tests:
  stage: test
  script:
    - echo "Run all Repository Tests"
    - mvn -Dspring.profiles.active=h2db -Dtest=*RepositoryTest test

test-job-all-Controller-Tests:
  stage: test
  script:
    - echo "Run all Controller Tests"
    - mvn -Dspring.profiles.active=h2db -Dtest=*Controller*Test test

deploy-prod:
  stage: deploy
  script:
    - echo "This job deploys something from the $CI_COMMIT_BRANCH branch."